#287 Deleting wrong created vacation alias delete mailbox

v2.3.5
pending
nobody
5
2013-12-01
2013-04-05
Kiss József
No

Hi!

I'm use the postfixadmin 2.3.5-2 from debian wheezy repo. I configure a postfix,dovecot virtual multi domain.

I create a vacation in postfixadmin to user@domain1.tld. The PA create an alias to user with goto "user#domain1.tld@autoreply.domain5.tld" maybe this is wrong. missing from goto thr original "user@domain1.tld" some other domain can create the alias in good way. And working the vacation.

If i delete this wrong alias, then the postfixadmin delete the mailbox too. that mailbox have multiple other alias.

Why delete the mailbox?

Related

Bugs: #287

Discussion

    • status: open --> pending
     
  • It shouldn't do that ;-)

    Can you please provide a step-by-step reproducer?

     
    • Kiss József
      Kiss József
      2013-12-03

      Hi!
      Sorry for late answer.
      The procedue:
      Create a mailbox xy@valami.tldcreate alias xyz@valami.tld -> xy@valami.tldcreate a vacation delete the vacation from log:
      ('2013-04-05 13:57:33', 'kormen(192.168.242.243)', 'valami.hu', 'edit_alias', 'tke@valami.hu -> tke#valami.hu@autoreply.@masvalami.hu'),('2013-04-05 14:53:09', 'kormen(192.168.242.243)', 'valami.hu', 'edit_alias', 'tke@valami.hu -> tke#valami.hu@autoreply.@masvalami.hu'),('2013-04-05 14:53:09', 'kormen(192.168.242.243)', 'valami.hu', 'edit_alias', 'tke@valami.hu -> tke#valami.hu@autoreply.@masvalami.hu,tke#valami.hu@autoreply.masvalami.hu'),('2013-04-05 14:58:26', 'kormen(192.168.242.243)', 'valami.hu', 'edit_alias', 'tke@valami.hu -> tke#valami.hu@autoreply.@masvalami.hu'),('2013-04-05 14:58:39', 'kormen(192.168.242.243)', 'valami.hu', 'delete_alias', 'tke@valami.hu'),('2013-04-05 14:58:39', 'kormen(192.168.242.243)', 'valami.hu', 'delete_mailbox', 'tke@valami.hu'),('2013-04-05 15:07:00', 'kormen(192.168.242.243)', 'valami.hu', 'edit_alias', 'tke@valami.hu -> tke#valami.hu@autoreply.masvalami.hu'),('2013-04-05 15:12:48', 'kormen(192.168.242.243)', 'valami.hu', 'edit_alias', 'tke@valami .hu -> tke#valami.hu@autoreply.masvalami.hu,tke@valami.hu'),('2013-04-05 15:40:14', 'kormen(192.168.242.243)', 'valami.hu', 'edit_alias', 'tke@valami.hu -> tke#valami.hu@autoreply.masvalami.hu'),('2013-04-05 15:49:01', 'kormen(192.168.242.243)', 'valami.hu', 'delete_alias', 'tke@valami.hu'),('2013-04-05 15:49:01', 'kormen(192.168.242.243)', 'valami.hu', 'delete_mailbox', 'tke@valami.hu');

      The red lines:
      I delete the delete the vacation message. in same second the system remove the alias, then mailbox. and originally this mailbox has an alias.
      I hope this is enough
      Kormen-- Eredeti üzenet --
      Feladó: Christian Boltz <christian_boltz@users.sf.net>Címzett: [postfixadmin:bugs] <287@bugs.postfixadmin.p.re.sf.net>Elküldve: 2013. december 1. 23:43Tárgy : [postfixadmin:bugs] #287 Deleting wrong created vacation alias delete mailbox

      It shouldn't do that ;-) Can you please provide a step-by-step reproducer? [bugs:#287] Deleting wrong created vacation alias delete mailbox Status: pending
      Labels: alias mailbox vacation delete
      Created: Fri Apr 05, 2013 02:17 PM UTC by Kiss József
      Last Updated: Fri Apr 05, 2013 02:17 PM UTC
      Owner: nobody Hi! I'm use the postfixadmin 2.3.5-2 from debian wheezy repo. I configure a postfix,dovecot virtual multi domain. I create a vacation in postfixadmin to user@domain1.tld. The PA create an alias to user with goto "user#domain1.tld@autoreply.domain5.tld" maybe this is wrong. missing from goto thr original "user@domain1.tld" some other domain can create the alias in good way. And working the vacation. If i delete this wrong alias, then the postfixadmin delete the mailbox too. that mailbox have multiple other alias. Why delete the mailbox? Sent from sourceforge.net because you indicated interest in https://sourceforge.net/p/postfixadmin/bugs/287/ To unsubscribe from further messages, please visit https://sourceforge.net/auth/subscriptions/

       

      Related

      Bugs: #287